Bug 1249233 - [abrt] file-roller: append_escaped_text(): file-roller killed by SIGSEGV
[abrt] file-roller: append_escaped_text(): file-roller killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: file-roller (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f0c2a01697f6ec64875cba7f6f2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 18:31 EDT by Wilf
Modified: 2015-12-02 13:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:44:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.95 KB, text/plain)
2015-07-31 18:31 EDT, Wilf
no flags Details
File: build_ids (3.68 KB, text/plain)
2015-07-31 18:32 EDT, Wilf
no flags Details
File: cgroup (190 bytes, text/plain)
2015-07-31 18:32 EDT, Wilf
no flags Details
File: core_backtrace (12.02 KB, text/plain)
2015-07-31 18:32 EDT, Wilf
no flags Details
File: dso_list (9.96 KB, text/plain)
2015-07-31 18:32 EDT, Wilf
no flags Details
File: environ (3.03 KB, text/plain)
2015-07-31 18:32 EDT, Wilf
no flags Details
File: exploitable (82 bytes, text/plain)
2015-07-31 18:32 EDT, Wilf
no flags Details
File: limits (1.29 KB, text/plain)
2015-07-31 18:32 EDT, Wilf
no flags Details
File: maps (49.99 KB, text/plain)
2015-07-31 18:32 EDT, Wilf
no flags Details
File: open_fds (1.22 KB, text/plain)
2015-07-31 18:32 EDT, Wilf
no flags Details
File: proc_pid_status (964 bytes, text/plain)
2015-07-31 18:32 EDT, Wilf
no flags Details

  None (edit)
Description Wilf 2015-07-31 18:31:54 EDT
Version-Release number of selected component:
file-roller-3.14.2-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        file-roller --extract-here file:///home/wilf/Documents/Dev/BUILDME/COMPLETEnorpm/slingshot/slingscold/slingscold/2rpm/rpmbuild/SOURCES/slingscold_1.2.1.tar.gz
crash_function: append_escaped_text
executable:     /usr/bin/file-roller
kernel:         4.0.7-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 append_escaped_text at gmarkup.c:2163
 #1 g_markup_escape_text at gmarkup.c:2239
 #2 _gtk_error_dialog_new at gtk-utils.c:250
 #3 _handle_archive_operation_error at fr-window.c:2898
 #4 _archive_operation_completed at fr-window.c:2930
 #5 archive_list_ready_cb at fr-window.c:5854
 #6 g_simple_async_result_complete at gsimpleasyncresult.c:763
 #7 complete_in_idle_cb_for_thread at gsimpleasyncresult.c:832
 #11 g_main_context_iteration at gmain.c:3842
 #12 g_application_run at gapplication.c:2282
Comment 1 Wilf 2015-07-31 18:31:58 EDT
Created attachment 1058180 [details]
File: backtrace
Comment 2 Wilf 2015-07-31 18:32:00 EDT
Created attachment 1058181 [details]
File: build_ids
Comment 3 Wilf 2015-07-31 18:32:02 EDT
Created attachment 1058182 [details]
File: cgroup
Comment 4 Wilf 2015-07-31 18:32:04 EDT
Created attachment 1058183 [details]
File: core_backtrace
Comment 5 Wilf 2015-07-31 18:32:06 EDT
Created attachment 1058184 [details]
File: dso_list
Comment 6 Wilf 2015-07-31 18:32:08 EDT
Created attachment 1058185 [details]
File: environ
Comment 7 Wilf 2015-07-31 18:32:09 EDT
Created attachment 1058186 [details]
File: exploitable
Comment 8 Wilf 2015-07-31 18:32:11 EDT
Created attachment 1058187 [details]
File: limits
Comment 9 Wilf 2015-07-31 18:32:14 EDT
Created attachment 1058188 [details]
File: maps
Comment 10 Wilf 2015-07-31 18:32:15 EDT
Created attachment 1058189 [details]
File: open_fds
Comment 11 Wilf 2015-07-31 18:32:17 EDT
Created attachment 1058190 [details]
File: proc_pid_status
Comment 12 Fedora End Of Life 2015-11-04 05:59:04 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-12-02 09:44:47 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.